Retrieve an existing Authorization
GET
https://api.neuroscale.io/v2.0/authorizations/{authorization-id}
Path parameters¶
| Name | Type | Description |
|---|---|---|
authorization-id |
String | Unique identifier of the Authorization. |
The Authorization resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| access_token | String | Access token. |
| created_at | Timestamp | Date and time of creation as a Unix timestamp. |
| description | String | Description of the Authorization. |
| id | String | Unique identifier of the Authorization. |
| object | String | Resource type (value is "authorization"). |
| properties | Object / Hash | User-editable object of key-value pairs that can be used to add arbitrary tags to the Authorization (for personal use). |
| scopes | Array of Strings | Scopes defining the set of permissions for the Authorization. See NeuroScale Platform API v1 for further information. |
| updated_at | Timestamp | Date and time of last modification as a Unix timestamp. |
| user | String | Unique identifier of the User that owns the Authorization. |
Authentication¶
Type: HTTP basic authentication
Required credentials: Account username and password
Responses¶
Example response — 200¶
{
"access_token": "bc24733f-170f-44b3-92b5-f2184e9b3013",
"created_at": 1445963052,
"description": "Description of Authorization",
"id": "auth_wshGn7n8necYXgqWDfwgYc",
"object": "authorization",
"properties": {
"key_1": "value_1",
"key_2": "value_2"
},
"scopes": [
"instance",
"pipeline",
"user"
],
"updated_at": 1445963052,
"user": "usr_ZTNc2sEjoq6JoEgPNFUg6g"
}